$def with (user, ou, computer, form)
$var title: computer.name
$var tab: navigator

$code:
    hierarchy = []
    hierarchy = [storage(link='/navigator/computer/%s' % computer.name, caption=computer.name)]
    parent = ou
    while parent:
        hierarchy.append(storage(link='/navigator/ou/%s' % parent.name, caption=parent.name))
        # Do not show more hirarchy elements than needed
        if parent in user.organizative_units:
            break
        parent = parent.parent
    hierarchy.append(storage(link='/navigator', caption=_("Root")))
    hierarchy.reverse()

    add_button = _("Add")

$var hierarchy = hierarchy
$var css = ["admin.css", "navigator.css"]

<form action="" method="post">
    <fieldset>
        <legend>$ou - $(computer.name if computer else '')</legend>
        $:form.render()
    </fieldset>
    <input type="submit"/>
</form>

